Ernstige kwetsbaarheden in inkjet printers van HP gedicht

06-08-2018 | door: Wouter Hoeffnagel

Ernstige kwetsbaarheden in inkjet printers van HP gedicht

HP verhelpt met behulp van een update een aantal ernstige beveiligingsproblemen in zijn inkjet printers. Het gaat om twee problemen die aanvallers de mogelijkheid geeft via een geprepareerd een buffer overflow te creëren, waarna zij malafide code kunnen uitvoeren op getroffen printers.

Het gaat om CVE-2018-5924 en CVE-2018-5925. Beide kunnen worden uitgebuit met behulp van een speciaal geprepareerd document. Indien dit document op kwetsbare printers wordt geprint, zorgt dit voor een buffer overflow. Deze kwetsbaarheid kan aanvallers ongeoorloofde toegang geven tot de printers, waardoor zij kwaadaardige code zoals malware kunnen uitvoeren op de printers.

HP meldt dat in totaal 225 verschillende inkjet kwetsbaar zijn voor de beveiligingsproblemen, waaronder modellen uit de PageWide-, Designjet-, OfficeJet-, DeskJet-, Envy-, Officejet- en Photosmart-productlijnen. Een overzicht van alle getroffen modellen is hier beschikbaar. Voor deze modellen is een firmware update beschikbaar waarmee de kwetsbaarheden worden gedicht.

Update: De HP woordvoerder laat weten dat HP security zeer serieus neemt en klanten aanraadt hun systemen te updaten om beschermd te zijn tegen kwetsbaarheden.

Terug naar nieuws overzicht